%define majversion %(echo %version | cut -d. -f 1-2)

Name:          automake
Version:       1.18
Release:       1mamba
Summary:       A GNU tool for automatically creating Makefiles
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnu.org/software/automake/
Source:        http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
Patch0:        %{name}-1.14-use_mktemp.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: bash
BuildRequires: gawk
BuildRequires: texinfo
Requires(post):%{__install_info}
BuildArch:     noarch

%description
Automake is a tool for automatically generating Makefiles compliant with the GNU  Coding Standards.
You should install Automake if you are developing software and would like to use its capabilities of automatically generating GNU standard Makefiles.
If you install Automake, you will also need to install GNU's Autoconf package.

%prep
%setup -q
%patch 0 -p1 -b .use_mktemp

%build
export WANT_AUTOCONF_2_5=1
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm %{buildroot}%{_bindir}/{aclocal,automake}
ln -s aclocal-%{majversion} %{buildroot}%{_bindir}/aclocal
ln -s automake-%{majversion} %{buildroot}%{_bindir}/automake

rm -f %{buildroot}%{_datadir}/info/dir

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}""%{buildroot}"

%post
%install_info %{name}.info
%install_info %{name}-history.info
exit 0

%preun
%uninstall_info %{name}.info
%uninstall_info %{name}-history.info
exit 0

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/aclocal-%{majversion}/
%{_datadir}/automake-%{majversion}/
%{_datadir}/doc/automake/amhello-1.0.tar.gz
%{_infodir}/automake.*
%{_infodir}/automake-history.*
%{_mandir}/man1/aclocal*.1*
%{_mandir}/man1/automake*.1*
%{_datadir}/aclocal/README
%doc AUTHORS COPYING
# NEWS README THANKS
#%doc doc/amhello-1.0.tar.gz

%changelog
* Wed May 28 2025 Automatic Build System <autodist@openmamba.org> 1.18-1mamba
- automatic version update by autodist

* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 1.17-1mamba
- automatic version update by autodist

* Mon Oct 04 2021 Automatic Build System <autodist@mambasoft.it> 1.16.5-1mamba
- automatic version update by autodist

* Tue Jul 27 2021 Automatic Build System <autodist@mambasoft.it> 1.16.4-1mamba
- automatic version update by autodist

* Wed Nov 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.3-2mamba
- specfile fixes

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 1.16.3-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Mon Feb 26 2018 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic version update by autodist

* Thu Jul 06 2017 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Tue Jan 06 2015 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic version update by autodist

* Tue Dec 24 2013 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Sat Jun 22 2013 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic version update by autodist

* Sat Jun 15 2013 Automatic Build System <autodist@mambasoft.it> 1.13.4-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 1.13.3-1mamba
- automatic version update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 1.13.2-1mamba
- automatic version update by autodist

* Tue Jan 01 2013 Automatic Build System <autodist@mambasoft.it> 1.13.1-1mamba
- automatic version update by autodist

* Sat Dec 29 2012 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic version update by autodist

* Sun Dec 16 2012 Automatic Build System <autodist@mambasoft.it> 1.12.6-1mamba
- automatic version update by autodist

* Sun Nov 18 2012 Automatic Build System <autodist@mambasoft.it> 1.12.5-1mamba
- automatic version update by autodist

* Tue Sep 18 2012 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Tue Jul 10 2012 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Fri Jun 01 2012 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Wed May 23 2012 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Sat Apr 14 2012 Automatic Build System <autodist@mambasoft.it> 1.11.5-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 1.11.4-1mamba
- automatic version update by autodist

* Sun Feb 12 2012 Automatic Build System <autodist@mambasoft.it> 1.11.3-1mamba
- update to 1.11.3

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> 1.11.2-1mamba
- automatic version update by autodist

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 1.11.1-1mamba
- automatic update to 1.11.1 by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic update to 1.11 by autodist

* Sun Nov 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.2-1mamba
- automatic update to 1.10.2 by autodist

* Tue Jan 22 2008 Aleph0 <aleph0@openmamba.org> 1.10.1-1mamba
- update to 1.10.1

* Wed Jan 17 2007 Aleph0 <aleph0@openmamba.org> 1.10.1-1mamba
- update to version 1.10 by autospec

* Sun Oct 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.6-2qilnx
- rebuilt as noarch package

* Mon Jul 25 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.6-1qilnx
- update to version 1.9.6 by autospec
- added scripts to install/uninstall info files
- secure creation of temporary directories in bash scripts

* Mon Feb 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.5-1qilnx
- update to version 1.9.5 by autospec

* Mon Dec 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.4-1qilnx
- update to version 1.9.4 by autospec

* Tue Nov 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.3-1qilnx
- update to version 1.9.3 by autospec

* Mon Sep 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.2-1qilnx
- update to version 1.9.2 (10th anniversary release!) by autospec

* Wed Aug 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.9.1-1qilnx
- update to version 1.9.1 by autospec

* Mon Aug 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.9-1qilnx
- update to version 1.9

* Mon May 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.5-1qilnx
- new version rebuild

* Mon Apr 26 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.4-1qilnx
- new version rebuild
 
* Mon Mar 08 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.3-1qilnx
- updated to version 1.8.3

* Tue Jan 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.2-1qilnx
- updated to version 1.8.2 (fixes: portability bug on Tru64, install rules for
  conditionally built python files)

* Mon Jan 12 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.1-1qilnx
- updated to version 1.8.1

* Thu Dec 11 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.8-1qilnx
- updated to version 1.8

* Mon Nov 10 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.7.9-1qilnx
- updated to version 1.7.9

* Wed Oct 08 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.7.8-1qilnx
- updated to version 1.7.8; various RPM improvements

* Mon Sep 22 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.7.7-1qilnx
- updated to version 1.7.7

* Fri Jul 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.7.6-1qilnx
- updated to version 1.7.6

* Tue May 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.7.4-1qilnx
- updated to version 1.7.4

* Tue Apr 22 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.7.3-3qilnx
- fixed position of info dir

* Fri Apr 18 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.7.3-2qilnx
- changed make install to correct an erroneous hardcoded link to $RPM_BUILD_ROOT
